Package com.io7m.waxmill.machines

# Class WXMBootConfigurationGRUBBhyve.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMBootConfigurationGRUBBhyve.Builder

Enclosing class:
  WXMBootConfigurationGRUBBhyve

    public static final class WXMBootConfigurationGRUBBhyve.Builder
    extends java.lang.Object

Builds instances of type `WXMBootConfigurationGRUBBhyve`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMBootConfigurationGRUBBhyve.Builder` | `addAllDiskAttachments​(java.lang.Iterable<? extends WXMBootDiskAttachment> elements)` | Adds elements to `diskAttachments` list.
  `WXMBootConfigurationGRUBBhyve.Builder` | `addDiskAttachments​(WXMBootDiskAttachment element)` | Adds one element to `diskAttachments` list.
  `WXMBootConfigurationGRUBBhyve.Builder` | `addDiskAttachments​(WXMBootDiskAttachment... elements)` | Adds elements to `diskAttachments` list.
  `WXMBootConfigurationGRUBBhyve` | `build()` | Builds a new `WXMBootConfigurationGRUBBhyve`.
  `WXMBootConfigurationGRUBBhyve.Builder` | `from​(WXMBootConfigurationType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMBootConfigurationType` instance.
  `WXMBootConfigurationGRUBBhyve.Builder` | `from​(WXMBootConfigurationType.WXMBootConfigurationGRUBBhyveType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMBootConfigurationType.WXMBootConfigurationGRUBBhyveType` instance.
  `WXMBootConfigurationGRUBBhyve.Builder` | `setComment​(java.lang.String comment)` | Initializes the value for the `comment` attribute.
  `WXMBootConfigurationGRUBBhyve.Builder` | `setDiskAttachments​(java.lang.Iterable<? extends WXMBootDiskAttachment> elements)` | Sets or replaces all elements for `diskAttachments` list.
  `WXMBootConfigurationGRUBBhyve.Builder` | `setKernelInstructions​(WXMBootConfigurationType.WXMGRUBKernelInstructionsType kernelInstructions)` | Initializes the value for the `kernelInstructions` attribute.
  `WXMBootConfigurationGRUBBhyve.Builder` | `setName​(WXMBootConfigurationName name)` | Initializes the value for the `name` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMBootConfigurationGRUBBhyve.Builder from​(WXMBootConfigurationType.WXMBootConfigurationGRUBBhyveType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMBootConfigurationType.WXMBootConfigurationGRUBBhyveType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final WXMBootConfigurationGRUBBhyve.Builder from​(WXMBootConfigurationType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMBootConfigurationType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addDiskAttachments

    public final WXMBootConfigurationGRUBBhyve.Builder addDiskAttachments​(WXMBootDiskAttachment element)
    Adds one element to `diskAttachments` list.
    Parameters:
      `element` - A diskAttachments element
    Returns:
      `this` builder for use in a chained invocation

  - ### addDiskAttachments

    public final WXMBootConfigurationGRUBBhyve.Builder addDiskAttachments​(WXMBootDiskAttachment... elements)
    Adds elements to `diskAttachments` list.
    Parameters:
      `elements` - An array of diskAttachments elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setDiskAttachments

    public final WXMBootConfigurationGRUBBhyve.Builder setDiskAttachments​(java.lang.Iterable<? extends WXMBootDiskAttachment> elements)
    Sets or replaces all elements for `diskAttachments` list.
    Parameters:
      `elements` - An iterable of diskAttachments elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllDiskAttachments

    public final WXMBootConfigurationGRUBBhyve.Builder addAllDiskAttachments​(java.lang.Iterable<? extends WXMBootDiskAttachment> elements)
    Adds elements to `diskAttachments` list.
    Parameters:
      `elements` - An iterable of diskAttachments elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setComment

    public final WXMBootConfigurationGRUBBhyve.Builder setComment​(java.lang.String comment)
    Initializes the value for the `comment` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `comment`.

    Parameters:
      `comment` - The value for comment
    Returns:
      `this` builder for use in a chained invocation

  - ### setName

    public final WXMBootConfigurationGRUBBhyve.Builder setName​(WXMBootConfigurationName name)
    Initializes the value for the `name` attribute.
    Parameters:
      `name` - The value for name
    Returns:
      `this` builder for use in a chained invocation

  - ### setKernelInstructions

    public final WXMBootConfigurationGRUBBhyve.Builder setKernelInstructions​(WXMBootConfigurationType.WXMGRUBKernelInstructionsType kernelInstructions)
    Initializes the value for the `kernelInstructions` attribute.
    Parameters:
      `kernelInstructions` - The value for kernelInstructions
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMBootConfigurationGRUBBhyve build()
    Builds a new `WXMBootConfigurationGRUBBhyve`.
    Returns:
      An immutable instance of WXMBootConfigurationGRUBBhyve
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing